Skip to content

Undo Collaborative Authoring Checkout

Undo Collaborative Authoring checkout on up to 500 documents at once. Learn more about Collaborative Authoring in Vault Help.

To undo basic checkout, see Delete Document Lock.

DELETE/api/{version}/objects/documents/batch/lock
NameDescription
Acceptapplication/json or text/csv
Content-Typetext/csv

Upload parameters as a CSV file.

NameDescription
id
required
The id of the document to undo checkout. Maximum 500 documents per request.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: application/json" \ --data "id 7652 3 8" \ https://myvault.veevavault.com/api/v26.1/objects/documents/batch/lock
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "EXCEPTION", "responseMessage": "Document not found 19523/7652", "id": 7652 }, { "responseStatus": "FAILURE", "responseMessage": "Cannot use office365__sys undo check out for a document checked out to basic__sys", "id": 3 }, { "responseStatus": "SUCCESS", "responseMessage": "Undo check out successful", "id": 8 } ] }

On SUCCESS, Vault returns a responseStatus and responseMessage for each id in the request body. Partial success is allowed, meaning some documents in the batch may succeed while others fail. For any failed documents, the response includes a reason for the failure.